Summary: The BSD 4.4 version of make.
Name: pmake
Version: 2.1.34
Release: 4mdk
Copyright: BSD
Group: Development/Other
Source0: ftp://ftp.icsi.berkeley.edu/pub/ai/stolcke/software/pmake-%{version}.tar.Z
Source1: pmake-sys-alpha.mk
Source2: pmake-sys-i386.mk
Source3: pmake-sys-sparc.mk
Source4: pmake-sys-ppc.mk
Patch0: pmake-2.1.33-glibc.patch
Patch1: pmake-2.1.33-compat21.patch
Patch2: pmake-FHS-fix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process.  Details
about how the program should be built are included in the program's
Makefile.  Pmake is a particular version (BSD 4.4) of make.  Pmake
supports some additional syntax which is not in the standard make
program.  Some Berkeley programs have Makefiles written for pmake.

Pmake should be installed on your system so that you will be able to
build programs which require using pmake instead of make.

%package customs
Summary: A remote execution facility for pmake.
Group: Development/Other

%description customs
Customs is a remote execution facility for PMake. Customs is designed to
run on a network of machines with a consistent, shared filesystem. Customs
requires Sun RPC in order to use XDR (eXternal Data Representation) routines
for logging functions.

A single server is designated as the master agent and is additionally
responsible for noting when a machine goes down, from which machines
any given machine will accept jobs and parcelling out available
machines to requesting clients. The job of master is not given to any
one machine but, rather, is decided among the active agents whenever
the previous master dies.

Clients are provided to:
	- alter the availability criteria for the local machine (importquota)
	- find the status of all registered hosts on the net (reginfo).
	- abort, restart or ping any customs agent on the network (cctrl).
	- export a command from the shell (export).
	- accept log information from all hosts on the net (logd).

%prep
%setup -q -n pmake
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 

#rm -f lib/mk/sys-%{_arch}.mk
#cp $RPM_SOURCE_DIR/pmake-sys-${RPM_ARCH}.mk lib/mk/sys-%{_arch}.mk

%build
#
# Bootstrap build of local pmake with makefile's
mkdir bin
make	CC="gcc $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake
make	CC="gcc $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake install

#
# Then build pmake using pmake & Makefile's
`pwd`/bin/pmake CC="gcc $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man,sbin}

`pwd`/bin/pmake CC="gcc $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	DESTDIR=$RPM_BUILD_ROOT install

mv -f customs/README customs/README.customs


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)	/usr/bin/pmake
%{_bindir}/vmake
%{_mandir}/man1/*
%{_libdir}/pmake
%doc CHANGES INSTALL README customs/README.customs etc tests
%doc doc/tutorial.* doc/prefix.*

%files customs
%defattr(-,root,root)
%{_bindir}/reginfo
%attr(755,root,root)	%{_bindir}/export
%{_bindir}/rexport
%{_sbindir}/importquota
%{_sbindir}/cctrl
%{_sbindir}/logd
%{_sbindir}/customs

%{_mandir}/man1/*
%{_mandir}/man8/*

%{_libdir}/libcustoms*
%{_includedir}/customs

%changelog

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1.34-4mdk

- FHS compliance
- More macros

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 2.1.34-3mdk
- rebuild with _mandir macro

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.1.34-2mdk
- Added ppc support

* Mon Oct 25 1999  Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec and patches
- Update to pmake 2.1.34
- Update RH compat patch
- bzip2 compression for man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setuid root "just in case". See etc/SECURITY in /usr/doc.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Otto Hammersmith <otto@redhat.com>
- fixed bug related to rules to build .a files.

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated spec file

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
